Package org.apache.lucene.analysis.charfilter

# Class MappingCharFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.CharFilterFactory
org.apache.lucene.analysis.charfilter.MappingCharFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class MappingCharFilterFactory extends CharFilterFactory implements ResourceLoaderAware
Factory for `MappingCharFilter`.

     <fieldType name="text_map" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.MappingCharFilterFactory" mapping="mapping.txt"/>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
       </analyzer>
     </fieldType>

Since:
  Solr 1.4
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "mapping"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
SPI name
`protected NormalizeCharMap`
`normMap`

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`MappingCharFilterFactory()`
Default ctor for compatibility with SPI
`MappingCharFilterFactory(Map<String,String> args)`
Creates a new MappingCharFilterFactory

## Method Summary

Modifier and Type
Method
Description
`Reader`
`create(Reader input)`
`void`
`inform(ResourceLoader loader)`
`Reader`
`normalize(Reader input)`
`protected void`
`parseRules(List<String> rules, NormalizeCharMap.Builder builder)`
`protected String`
`parseString(String s)`

### Methods inherited from class org.apache.lucene.analysis.CharFilterFactory

`availableCharFilters, findSPIName, forName, lookupClass, reloadCharFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
SPI name

See Also:
  - Constant Field Values

### normMap

protected NormalizeCharMap normMap

## Constructor Details

### MappingCharFilterFactory

public MappingCharFilterFactory(Map<String,String> args)
Creates a new MappingCharFilterFactory

### MappingCharFilterFactory

public MappingCharFilterFactory()
Default ctor for compatibility with SPI

## Method Details

### inform

public void inform(ResourceLoader loader) throws IOException

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

### create

public Reader create(Reader input)

Specified by:
  `create` in class `CharFilterFactory`

### normalize

public Reader normalize(Reader input)

Overrides:
  `normalize` in class `CharFilterFactory`

### parseRules

protected void parseRules(List<String> rules, NormalizeCharMap.Builder builder)

### parseString

protected String parseString(String s)